#ifndef IPLUGINDIALOGCREATOR_H
#define IPLUGINDIALOGCREATOR_H

#include <QtPlugin>

#include "idirdialog.h"
#include "ifiledialog.h"

namespace LibFlyFileDialog
{
class IPluginDialogCreator
{
public:
    virtual ~IPluginDialogCreator() {}

    virtual IFileDialog *createFileDialog() = 0;
    virtual IDirDialog *createDirDialog() = 0;
};


}

#define IPluginDialogCreator_iid "ru.astralinux.IPluginDialogCreator"

Q_DECLARE_INTERFACE(LibFlyFileDialog::IPluginDialogCreator, IPluginDialogCreator_iid)

#endif // IPLUGINDIALOGCREATOR_H
